> For the complete documentation index, see [llms.txt](https://developers.cryptopay.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.cryptopay.me/guides/payouts/create-a-coin-withdrawal/possible-errors.md).

# Possible errors

### Insufficient account balance

`422 Unprocessable Entity` in case you exceed your account balance:

```javascript
{
  "error": {
    "code": "invalid",
    "message": "invalid",
    "details": [
      {
        "code": "must_be_less_than_or_equal",
        "target": "charged_amount",
        "message": "must be less than or equal to 167.75222297",
        "args": {
          "value": "167.75222297"
        }
      },
      {
        "code": "must_be_less_than_or_equal",
        "target": "received_amount",
        "message": "must be less than or equal to 12500.0",
        "args": {
          "value": "12500.0"
        }
      }
    ]
  },
  "meta": {
    "request_id": "0919053f1c2675f62824bc3aabed3697"
  }
}
```

### Minimal amount limit

`422 Unprocessable Entity` in case a payout amount is less than 5 EUR:

```javascript
{
  "error": {
    "code": "invalid",
    "message": "invalid",
    "details": [
      {
        "code": "must_be_greater_than_or_equal",
        "target": "charged_amount_to_send",
        "message": "must be greater than or equal to 5.0",
        "args": {
          "value": "5.0"
        }
      }
    ]
  },
  "meta": {
    "request_id": "6fd8b3b615f1fca80e1b29f7f102e090"
  }
}
```

### Invalid address

`422 Unprocessable Entity` in case the address format is not valid:

```javascript
{
  "error": {
    "code": "invalid",
    "message": "invalid",
    "details": [
      {
        "code": "invalid_coin_address",
        "target": "address",
        "message": "must be a valid BTC address",
        "args": {
          "currency": "BTC"
        }
      }
    ]
  },
  "meta": {
    "request_id": "1ea0414b9b9bc9a558f9a31a392e9778"
  }
}
```

### High-risk destination address

`422 Unprocessable Entity` in case a destination address is evaluated as high-risk:

{% code overflow="wrap" %}

```json
{
  "error": {
    "code": "high_risk_address",
    "message": "We were unable to process your request as the address of the recipient may be associated with resource primarily used for unlawful activities",
    "details": []
  },
  "meta": {
    "request_id": "e1327567dc4189901aa2463e85b96b93"
  }
}
```

{% endcode %}

### Invalid currency

`422 Unprocessable Entity` in case you specified currency that is not valid:

{% code overflow="wrap" %}

```json
{
  "error": {
    "code": "invalid",
    "message": "invalid",
    "details": [
      {
        "code": "must_be_included_in",
        "target": "charged_currency",
        "message": "must be one of: BTC, LTC, GBP, CNY, TRY, USD, KRW, NOK, INR, BCH, ETH, JPY, CAD, THB, AUD, HKD, MYR, NZD, TWD, MXN, BRL, COP, SEK, PLN, HUF, IDR, VND, XRP, EUR",
        "args": {
          "list": [
            "BTC",
            "LTC",
            "GBP",
            "CNY",
            "TRY",
            "USD",
            "KRW",
            "NOK",
            "INR",
            "BCH",
            "ETH",
            "JPY",
            "CAD",
            "THB",
            "AUD",
            "HKD",
            "MYR",
            "NZD",
            "TWD",
            "MXN",
            "BRL",
            "COP",
            "SEK",
            "PLN",
            "HUF",
            "IDR",
            "VND",
            "XRP",
            "EUR"
          ]
        }
      }
    ]
  },
  "meta": {
    "request_id": "1cdd48b0d123f5445991e25eb1ce6f50"
  }
}
```

{% endcode %}

### Bad precision

`422 Unprocessable Entity` in case the amount precision does not match currency precision:

```json
{
    "error": {
        "code": "invalid",
        "message": "invalid",
        "args": {},
        "details": [
            {
                "code": "bad_precision",
                "target": "charged_amount",
                "message": "must match EUR precision",
                "args": {
                    "currency": "EUR",
                    "precision": 2
                }
            }
        ]
    },
    "meta": {
        "request_id": "cdeb3d14afbe8419697f75e13608ef58"
    }
}
```

### Limit exceeded

`422 Unprocessable Entity` in case of exceeding the withdrawal limits:

```json
{
  "error": {
    "code": "out_of_limits",
    "message": "out of limits",
    "args": {},
    "details": []
  },
  "meta": {
    "request_id": "79bf8ca47e313c12bf5fb300095cb6b6"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.cryptopay.me/guides/payouts/create-a-coin-withdrawal/possible-errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
